Bug 1431568 - Review Request: golang-github-edsrzf-mmap-go - Portable mmap package for Go
Summary: Review Request: golang-github-edsrzf-mmap-go - Portable mmap package for Go
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Athos Ribeiro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1212242 (view as bug list)
Depends On:
Blocks: 1431740
TreeView+ depends on / blocked
 
Reported: 2017-03-13 09:58 UTC by Fabio Valentini
Modified: 2017-05-07 00:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-02 15:58:12 UTC
Type: ---
athoscribeiro: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2017-03-13 09:58:06 UTC
Spec URL: https://decathorpe.fedorapeople.org/packages/golang-github-edsrzf-mmap-go.spec

SRPM URL: https://decathorpe.fedorapeople.org/packages/golang-github-edsrzf-mmap-go-0-0.1.git935e0e8.fc25.src.rpm

Description: Portable mmap package for Go

Fedora Account System Username: decathorpe

koji scratch build for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=18353330

This package is one of the (indirect) dependencies of syncthing.

Comment 1 Athos Ribeiro 2017-03-14 10:58:53 UTC
Hello Fabio,

I believe this is a dub of BZ#1212242, reopen if I am mistaken.

*** This bug has been marked as a duplicate of bug 1212242 ***

Comment 2 Fabio Valentini 2017-03-14 11:03:08 UTC
Yes, it's the same package, I missed this.

But: 2 years old + without any progress / pings looks like the other review request was "abandoned" ...

Comment 3 Fabio Valentini 2017-03-28 09:26:43 UTC
Reopening, since the old review request is dead.

Comment 4 Fabio Valentini 2017-03-28 09:28:14 UTC
*** Bug 1212242 has been marked as a duplicate of this bug. ***

Comment 5 Athos Ribeiro 2017-04-26 18:47:32 UTC
Hi Fabio,

I am taking this review.

- There are new pre-release guidelines where the date when the snapshot was taken MUST be present in the release tag. See [1] for reference.

- The conditional block on line 128 seems to be duplicated and can be removed.

Other than that, the package looks good. I will trust you will perform the necessary changes before uploading it, thus, I will not block this review.

Approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[-]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-edsrzf-mmap-go-devel-0-0.1.git935e0e8.fc27.noarch.rpm
          golang-github-edsrzf-mmap-go-unit-test-devel-0-0.1.git935e0e8.fc27.x86_64.rpm
          golang-github-edsrzf-mmap-go-0-0.1.git935e0e8.fc27.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
golang-github-edsrzf-mmap-go-unit-test-devel (rpmlib, GLIBC filtered):
    golang-github-edsrzf-mmap-go-devel

golang-github-edsrzf-mmap-go-devel (rpmlib, GLIBC filtered):



Provides
--------
golang-github-edsrzf-mmap-go-unit-test-devel:
    golang-github-edsrzf-mmap-go-unit-test-devel
    golang-github-edsrzf-mmap-go-unit-test-devel(x86-64)

golang-github-edsrzf-mmap-go-devel:
    golang(github.com/edsrzf/mmap-go)
    golang-github-edsrzf-mmap-go-devel



Source checksums
----------------
https://github.com/edsrzf/mmap-go/archive/935e0e8a636ca4ba70b713f3e38a19e1b77739e8/edsrzf-mmap-go-935e0e8.tar.gz :
  CHECKSUM(SHA256) this package     : 48cd1c2d7d39eb65c384729ddfddf7edf510219385c6b943ad01a41fa6cb8fe7
  CHECKSUM(SHA256) upstream package : 48cd1c2d7d39eb65c384729ddfddf7edf510219385c6b943ad01a41fa6cb8fe7

Comment 6 Fabio Valentini 2017-04-26 18:51:25 UTC
Thanks for the review!

I will include the commit date in the Release: tag and clean up the redundant conditional before uploading the package.

Comment 7 Gwyn Ciesla 2017-04-27 12:38:39 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-edsrzf-mmap-go

Comment 8 Fedora Update System 2017-04-27 14:53:32 UTC
golang-github-edsrzf-mmap-go-0-0.1.20170318.git0bce6a6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0aede52b82

Comment 9 Fedora Update System 2017-04-27 14:54:37 UTC
golang-github-edsrzf-mmap-go-0-0.1.20170318.git0bce6a6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-72ec07bb4a

Comment 10 Fedora Update System 2017-04-27 14:55:26 UTC
golang-github-edsrzf-mmap-go-0-0.1.20170318.git0bce6a6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6ceb4e060c

Comment 11 Fedora Update System 2017-04-28 17:50:36 UTC
golang-github-edsrzf-mmap-go-0-0.1.20170318.git0bce6a6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0aede52b82

Comment 12 Fedora Update System 2017-04-28 19:49:10 UTC
golang-github-edsrzf-mmap-go-0-0.1.20170318.git0bce6a6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6ceb4e060c

Comment 13 Fedora Update System 2017-04-28 19:50:27 UTC
golang-github-edsrzf-mmap-go-0-0.1.20170318.git0bce6a6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-72ec07bb4a

Comment 14 Fedora Update System 2017-05-02 15:58:12 UTC
golang-github-edsrzf-mmap-go-0-0.1.20170318.git0bce6a6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-05-06 23:51:54 UTC
golang-github-edsrzf-mmap-go-0-0.1.20170318.git0bce6a6.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-05-07 00:01:45 UTC
golang-github-edsrzf-mmap-go-0-0.1.20170318.git0bce6a6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.